Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 660453 - [RFE] way to auto-generate dependencies on sub-packages
Summary: [RFE] way to auto-generate dependencies on sub-packages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 20:07 UTC by Kamil Dudka
Modified: 2016-04-20 13:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 595674
Environment:
Last Closed: 2016-04-20 13:10:25 UTC
Type: ---


Attachments (Terms of Use)

Description Kamil Dudka 2010-12-06 20:07:18 UTC
+++ This bug was initially created as a clone of Bug #595674 +++

Description of problem:
The dependency is missing.

Version-Release number of selected component (if applicable):
acl-2.2.49-3.el6

Additional info:
The same problem in rawhide.

--- Additional comment from Andreas Gruenbacher on 2010-12-05 22:24:00 CET ---

Sorry to bring this up after the fact, but what is the reason for this change?  The acl package already depends on the libacl package through the automatically generated shared library dependencies, which are (on a RHEL6 x86_64 system):

    libacl.so.1()(64bit)
    libacl.so.1(ACL_1.0)(64bit)

I don't think there is a need to tie the acl and libacl packages together more firmly than that.

--- Additional comment from kdudka on 2010-12-06 09:21:25 CET ---

Andreas, the change has been recommended by our sanity checking tool for RHEL-6.  Would there be any considerable benefit if we leaved the dependency more untied?

--- Additional comment from Andreas Gruenbacher on 2010-12-06 09:48:13 CET ---

I don't know, what is it that you are trying to achieve?  Somebody must have implemented this check for a reason.

In this particular case, the acl package also depends on the libattr shared library and package via libacl.  There is no explicit package dependency from either acl or libacl to libattr.  So again, what's the goal?

If you want all package dependencies to be explicit, then an easier way to achieve that would be to change rpm's find-requires script to generate those dependencies instead of generating shared library dependencies.  (Doing this sounds weird to me, though.)

--- Additional comment from kdudka on 2010-12-06 14:10:22 CET ---

Right, but libacl is a sub-package of acl, libattr is not.  We prefer sub-packages to be at the same version as the master package unless there is some reason to allow divergence.

E.g. the update system in Fedora suggests to update the acl package, even if the fix went actually to libacl.  Then if user really updates acl, he will most likely claim the bug is not fixed.  The added dependency forces also update of libacl in that case.  A similar confusion may happen on RHEL, if the user does not install all recommended updates for some reason.

--- Additional comment from Andreas Gruenbacher on 2010-12-06 20:42:12 CET ---

Okay, that explains the idea is behind those dependencies, thanks for the explanation.

In that case it would make sense, IMHO, to encode this policy into rpm's find-requires script.  It can't be that hard to generate explicit package dependencies between binary packages built from the same spec file if there are shared library dependencies; rpm already figures out the shared library dependencies, anyway.

--- Additional comment from kdudka on 2010-12-06 21:00:42 CET ---

Sounds like a good idea.  I am only not sure how many packages would need to allow the divergence.  I'll clone the bug for rpm, in order to get it properly evaluated by rpm hackers.

Comment 1 Fedora Admin XMLRPC Client 2012-04-13 23:10:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2012-04-13 23:13:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Kamil Dudka 2016-04-20 13:10:25 UTC
No update on this RFE for more than 5 years.  Closing...


Note You need to log in before you can comment on or make changes to this bug.